Subject: Re: bug#18072: 24.3; cc-mode indentation is broken

From: Juhani Ahman <[email-masked]>
Date: Sun, 10 Nov 2019 23:24:13 +0200 (EET)

Hi

It definitely happened with C++ at least.
Don't remember if it happened with C too.
It's been awhile.

> On 10 November 2019 at 23:13 Stefan Kangas <[email-masked]> wrote:
> 
> 
> Hi Alan,
> 
> Alan Mackenzie <[email-masked]> writes:
> 
> > Is this C++ Mode, by any chance?
> 
> I'm not sure which one to use to reproduce it.  I'm hoping Juhani will
> be able to tell us.
> 
> > This looks like having the same cause as bug #37910 "CC Mode 5.33.2
> > (C++//l); CC-mode inconsistently indents everything as topmost-intro
> > after a while".
> >
> > I'm pretty sure it's a defect in a particular CC Mode cache (the "state
> > cache"), which tracks parentheses, braces, and brackets containing and
> > near point.  Somehow, it's missing the critical {, believing that
> > foo();, etc., are at top level.  A C-c C-s on that line would likely
> > show "topmost-intro".
> 
> Do you think that these two bugs should be merged?
> 
> Best regards,
> Stefan Kangas